# 8 The Explorer Object

This section lists all methods of `Explorer.object`. New Explorers can be created by creating new objects from the class `Explorer.'class'`. Execution of

> `MyExplorer = {New Explorer.'class' init}`

creates a new Explorer which can be accessed by the variable `MyExplorer`.

## 8.1 Invoking

`script`, `one`, `all`

  > > `{Explorer.object script(``+ScriptP``` `+OrderP``<= _)}`

  > > `{Explorer.object one(``+ScriptP``` `+OrderP``<= _)}`

  > > `{Explorer.object all(``+ScriptP``` `+OrderP``<= _)}`

  Invokes the Explorer. For a detailed description see Chapter 2.

## 8.2 User-defined Actions

`add`

  > > `{Explorer.object add(`...`)}`

  Adds new actions to the Explorer. For a detailed description see Chapter 7.

`delete`

  > > `{Explorer.object delete(`...`)}`

  Deletes actions from the Explorer. For a detailed description see Chapter 7.

## 8.3 Options

`option`

  > > `{Explorer.object option(search search:` `+AI1``<=_
  > > information:` `+AI2``<=_
  > > failed:` `+B``<=_)}`

  Sets the options for search as described in Section 6.6. AI1 and AI2 must be either `none`, `full`, or an integer.

`option`

  > > `{{Explorer.object option(drawing hide:` `+B1``<=_
  > > scale:` `+B2``<=_
  > > update:` `+I``<=_)}`

  Sets the options for search as described in Section 6.6. AI1 and AI2 must be either `none`, `full`, or an integer.

`option`

  > > `{Explorer.object option(postscript color:` `+A1``<=_
  > > orientation:` `+A2``<=_
  > > size:` `+V``<=_)}`

  Sets the options for postscript output as described in Section 6.6. A1 must be one of `full`, `grayscale`, or `bw`. A2 must be one of `portrait` or `landscape`. V must be a virtual string built according to the same rules as described in Section 6.6.